# Simple example

This is a simple example of deploying a Cloud Run hosted container into a
GCP project. Specify the project to deploy into and the sql instance to connect to
on the command line. The sql instance connection is optional, use an empty string
if you do not want to connect Cloud Run to a SQL instance.
So, for example, to deploy to the project ``my-project``:

```console
$ terraform init
$ terraform apply -var project=my-project -var sql_instance_connection_name=example
```

In this example, terraform is configured to use default application credentials.
For Google APIs and these credentials should correspond to a user with owner or
editor access to the target project. You can use the ``gcloud`` command line
tool to set your personal credentials as application default credentials. See
the ``gcloud auth application-default`` command output for more information.
